Bug 1632111 - repositories-validate check don't consider custom organization/activation key
Summary: repositories-validate check don't consider custom organization/activation key
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Maintain
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Kavita
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-24 06:46 UTC by Nikhil Kathole
Modified: 2019-10-07 17:19 UTC (History)
5 users (show)

Fixed In Version: rubygem-foreman_maintain-0.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:10 UTC
Foreman Issue Tracker 25022 None None None 2018-09-24 12:31:32 UTC

Description Nikhil Kathole 2018-09-24 06:46:06 UTC
Description of problem:

foreman-maintain allows to  use custom organization/activation key for configuring repositories during upgrade by setting environment variables

export EXTERNAL_SAT_ORG='Sat6-CI'
export EXTERNAL_SAT_ACTIVATION_KEY='Satellite QA RHEL7'

but validating repository check tries to validate repositories according to target version.

--------------------------------------------------------------------------------
Validate availability of repositories: 
- Some repositories missing, calling `subscription-manager refresh`   [FAIL]    
Following repositories are not available on your system: rhel-server-7-satellite-6-beta-rpms, rhel-7-server-satellite-tools-6-beta-rpms, rhel-7-server-satellite-maintenance-6-beta-rpms, rhel-7-server-ansible-2.6-rpms
--------------------------------------------------------------------------------
Scenario [Checks before upgrading to Satellite 6.4.z] failed.

The following steps ended up in failing state:

  [repositories-validate]

Resolve the failed steps and rerun
the command. In case the failures are false positives,
use --whitelist="repositories-validate"



Version-Release number of selected component (if applicable):

# rpm -qa | grep maintain
rubygem-foreman_maintain-0.2.10-1.el7sat.noarch


How reproducible:
always

Steps to Reproduce:
1. export EXTERNAL_SAT_ORG='Sat6-CI'
2. export EXTERNAL_SAT_ACTIVATION_KEY='Satellite QA RHEL7'
3. foreman-maintain upgrade run --target-version 6.4.z

Actual results: 

Validate availability of repositories: [FAIL]    

Expected results: 
May be right way is to show valid message and skip the check. 

Additional info:

Comment 2 Kavita 2018-09-24 12:31:29 UTC
Created redmine issue http://projects.theforeman.org/issues/25022 from this bug

Comment 3 pm-sat@redhat.com 2018-09-27 10:04:54 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25022 has been resolved.

Comment 6 Nikhil Kathole 2018-11-13 12:12:21 UTC
VERIFIED

Version tested:
# rpm -qa | grep maintain
rubygem-foreman_maintain-0.3.0-1.el7sat.noarch


# export EXTERNAL_SAT_ORG='Sat6-CI'
# export EXTERNAL_SAT_ACTIVATION_KEY='Satellite QA RHEL7'

# foreman-maintain upgrade run --target-version 6.5.z
Running preparation steps required to run the next scenarios
================================================================================
Procedures::Packages::Install: 

==================================================================================================================================================
 Package             Arch           Version            Repository                                                                            Size
==================================================================================================================================================
Installing:
 fio                 x86_64         3.1-2.el7          Sat6-CI_Satellite_Maintenance_Next_Composes_Satellite_Maintenance_Next_RHEL7         451 k
Installing for dependencies:
 daxctl-libs         x86_64         62-1.el7           rhel-7-server-rpms                                                                    26 k
 libpmem             x86_64         1.4-3.el7          rhel-7-server-rpms                                                                    53 k
 libpmemblk          x86_64         1.4-3.el7          rhel-7-server-rpms                                                                    68 k
 ndctl-libs          x86_64         62-1.el7           rhel-7-server-rpms                                                                    61 k

Transaction Summary
==================================================================================================================================================
Install  1 Package (+4 Dependent packages)

Total download size: 659 k
Installed size: 2.2 M
Is this ok [y/d/N]: y

Installed:
  fio.x86_64 0:3.1-2.el7                                                                                                                          

Dependency Installed:
  daxctl-libs.x86_64 0:62-1.el7        libpmem.x86_64 0:1.4-3.el7        libpmemblk.x86_64 0:1.4-3.el7        ndctl-libs.x86_64 0:62-1.el7       

                                                                      [OK]
--------------------------------------------------------------------------------


Running Checks before upgrading to Satellite 6.5.z
================================================================================
Check for verifying syntax for ISP DHCP configurations:               [OK]
--------------------------------------------------------------------------------
Check whether all services are running:                               [OK]
--------------------------------------------------------------------------------
Check whether all services are running using hammer ping:             [OK]
--------------------------------------------------------------------------------
Check for paused tasks:                                               [OK]
--------------------------------------------------------------------------------
Check to make sure root(/) partition has enough space:                [OK]
--------------------------------------------------------------------------------
Check to validate candlepin database:                                 [OK]
--------------------------------------------------------------------------------
Check if EPEL repository enabled on system: 
/ Checking for presence of EPEL repository                            [OK]      
--------------------------------------------------------------------------------
Check for running tasks:                                              [OK]
--------------------------------------------------------------------------------
Check for old tasks in paused/stopped state:                          [OK]
--------------------------------------------------------------------------------
Check for pending tasks which are safe to delete:                     [OK]
--------------------------------------------------------------------------------
Check for tasks in planning state:                                    [OK]
--------------------------------------------------------------------------------
Check for recommended disk speed of pulp, mongodb, pgsql dir.: 
- Finished                                                                      

Disk speed : 125 MB/sec                                               [OK]
--------------------------------------------------------------------------------
Check whether reports have correct associations:                      [OK]
--------------------------------------------------------------------------------
Check for duplicate Puppet class records:                             [OK]
--------------------------------------------------------------------------------
Validate availability of repositories:                                [SKIPPED]
Your system is subscribed using custom activationkey
--------------------------------------------------------------------------------

Comment 10 errata-xmlrpc 2019-05-14 12:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.